Note: This is a beta release of Red Hat Bugzilla 5.0. The data contained within is a snapshot of the live data so any changes you make will not be reflected in the production Bugzilla. Also email is disabled so feel free to test any aspect of the site that you want. File any problems you find or give feedback here.
Bug 1354466 - Migration: DB with LDAP, seed fails with "Entitlement is marked as readonly"
Summary: Migration: DB with LDAP, seed fails with "Entitlement is marked as readonly"
Keywords:
Status: CLOSED CURRENTRELEASE
Alias: None
Product: Red Hat CloudForms Management Engine
Classification: Red Hat
Component: Appliance
Version: 5.6.0
Hardware: Unspecified
OS: Unspecified
high
high
Target Milestone: GA
: 5.7.0
Assignee: Gregg Tanzillo
QA Contact: luke couzens
URL:
Whiteboard: ldap:upgrade
Depends On:
Blocks: 1360329
TreeView+ depends on / blocked
 
Reported: 2016-07-11 11:45 UTC by Jan Krocil
Modified: 2019-01-24 14:30 UTC (History)
9 users (show)

Fixed In Version: 5.7.0.0
Doc Type: If docs needed, set a value
Doc Text:
Clone Of:
: 1360329 (view as bug list)
Environment:
Last Closed: 2019-01-24 14:30:00 UTC
Category: ---
Cloudforms Team: ---
Target Upstream Version:


Attachments (Terms of Use)


Links
System ID Priority Status Summary Last Updated
Red Hat Knowledge Base (Solution) 2518341 None None None 2016-08-12 06:47:40 UTC

Comment 3 CFME Bot 2016-07-26 14:10:56 UTC
New commit detected on ManageIQ/manageiq/master:
https://github.com/ManageIQ/manageiq/commit/8bc77c8aeeac3db39fd68e97e5c3d1a143069e17

commit 8bc77c8aeeac3db39fd68e97e5c3d1a143069e17
Author:     Chris Arcand <chris@chrisarcand.com>
AuthorDate: Mon Jul 25 14:13:36 2016 -0500
Commit:     Chris Arcand <chris@chrisarcand.com>
CommitDate: Mon Jul 25 15:42:16 2016 -0500

    Don't try and update a read-only relation
    
    The :through relation here is read only on an update. Derp.
    
    https://bugzilla.redhat.com/show_bug.cgi?id=1354466

 app/models/miq_group.rb | 6 +++++-
 1 file changed, 5 insertions(+), 1 deletion(-)

Comment 6 Dave Johnson 2017-06-12 15:13:53 UTC
Luke, please work with Matt to figure out how to get this tested.  Thanks!

Comment 7 luke couzens 2017-06-12 18:55:43 UTC
Verified in 5.7.3.1


Note You need to log in before you can comment on or make changes to this bug.